problem upgrading from 0.5 to 0.5.5

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

problem upgrading from 0.5 to 0.5.5

hamishagain@dcs.shef.ac.uk
hi

I checked out the latest HEAD, did "ant", then went to my application
(developed under 0.5) and did

grails clean
grails upgrade
grails run-app

I got:

error: error reading
/home/hamish/sins/grails/dist/grails-bin-0.5.5-SNAPSHOT.tar.gz; error in
opening zip file

full message below; tar can open the file ok; I'm running ubuntu dapper, java 1.5

am I doing something wrong?

thanks,
--
Hamish
http://www.dcs.shef.ac.uk/~hamish/



sylvia cow$ grails run-app

Welcome to Grails 0.5.5-SNAPSHOT - http://grails.org/
Licensed under Apache Standard License 2.0
Grails home is set to: /home/hamish/sins/grails

Base Directory: /home/hamish/ext/sins/cow
Environment set to development
Running script /home/hamish/sins/grails/scripts/RunApp.groovy
Compiling sources ...
     [javac] Compiling 1 source file to
/home/hamish/ext/sins/cow/web-app/WEB-INF/classes
error: error reading
/home/hamish/sins/grails/dist/grails-bin-0.5.5-SNAPSHOT.tar.gz; error in
opening zip file


---------------------------------------------------------------------
To unsubscribe from this list please visit:

    http://xircles.codehaus.org/manage_email

Reply | Threaded
Open this post in threaded view
|

Re: problem upgrading from 0.5 to 0.5.5

graemer
Hmm there are some zip and tars in your dist directory, delete them
and leave just the jar files

Cheers

On 5/22/07, Hamish Cunningham <[hidden email]> wrote:

> hi
>
> I checked out the latest HEAD, did "ant", then went to my application
> (developed under 0.5) and did
>
> grails clean
> grails upgrade
> grails run-app
>
> I got:
>
> error: error reading
> /home/hamish/sins/grails/dist/grails-bin-0.5.5-SNAPSHOT.tar.gz; error in
> opening zip file
>
> full message below; tar can open the file ok; I'm running ubuntu dapper, java 1.5
>
> am I doing something wrong?
>
> thanks,
> --
> Hamish
> http://www.dcs.shef.ac.uk/~hamish/
>
>
>
> sylvia cow$ grails run-app
>
> Welcome to Grails 0.5.5-SNAPSHOT - http://grails.org/
> Licensed under Apache Standard License 2.0
> Grails home is set to: /home/hamish/sins/grails
>
> Base Directory: /home/hamish/ext/sins/cow
> Environment set to development
> Running script /home/hamish/sins/grails/scripts/RunApp.groovy
> Compiling sources ...
>      [javac] Compiling 1 source file to
> /home/hamish/ext/sins/cow/web-app/WEB-INF/classes
> error: error reading
> /home/hamish/sins/grails/dist/grails-bin-0.5.5-SNAPSHOT.tar.gz; error in
> opening zip file
>
>
> ---------------------------------------------------------------------
> To unsubscribe from this list please visit:
>
>     http://xircles.codehaus.org/manage_email
>
>


--
Graeme Rocher
Grails Project Lead
http://grails.org

---------------------------------------------------------------------
To unsubscribe from this list please visit:

    http://xircles.codehaus.org/manage_email

Reply | Threaded
Open this post in threaded view
|

Re: problem upgrading from 0.5 to 0.5.5

graemer
btw in future when building just do

ant test jar

Cheers

On 5/22/07, Graeme Rocher <[hidden email]> wrote:

> Hmm there are some zip and tars in your dist directory, delete them
> and leave just the jar files
>
> Cheers
>
> On 5/22/07, Hamish Cunningham <[hidden email]> wrote:
> > hi
> >
> > I checked out the latest HEAD, did "ant", then went to my application
> > (developed under 0.5) and did
> >
> > grails clean
> > grails upgrade
> > grails run-app
> >
> > I got:
> >
> > error: error reading
> > /home/hamish/sins/grails/dist/grails-bin-0.5.5-SNAPSHOT.tar.gz; error in
> > opening zip file
> >
> > full message below; tar can open the file ok; I'm running ubuntu dapper, java 1.5
> >
> > am I doing something wrong?
> >
> > thanks,
> > --
> > Hamish
> > http://www.dcs.shef.ac.uk/~hamish/
> >
> >
> >
> > sylvia cow$ grails run-app
> >
> > Welcome to Grails 0.5.5-SNAPSHOT - http://grails.org/
> > Licensed under Apache Standard License 2.0
> > Grails home is set to: /home/hamish/sins/grails
> >
> > Base Directory: /home/hamish/ext/sins/cow
> > Environment set to development
> > Running script /home/hamish/sins/grails/scripts/RunApp.groovy
> > Compiling sources ...
> >      [javac] Compiling 1 source file to
> > /home/hamish/ext/sins/cow/web-app/WEB-INF/classes
> > error: error reading
> > /home/hamish/sins/grails/dist/grails-bin-0.5.5-SNAPSHOT.tar.gz; error in
> > opening zip file
> >
> >
> > ---------------------------------------------------------------------
> > To unsubscribe from this list please visit:
> >
> >     http://xircles.codehaus.org/manage_email
> >
> >
>
>
> --
> Graeme Rocher
> Grails Project Lead
> http://grails.org
>


--
Graeme Rocher
Grails Project Lead
http://grails.org

---------------------------------------------------------------------
To unsubscribe from this list please visit:

    http://xircles.codehaus.org/manage_email

Reply | Threaded
Open this post in threaded view
|

Re: problem upgrading from 0.5 to 0.5.5

hamishagain@dcs.shef.ac.uk
Thanks; it's working again now.

Shall I change http://grails.codehaus.org/Installation to say "ant test
jar" instead of "ant"?

Best,

h


On Tue, 22 May 2007, Graeme Rocher wrote:

> btw in future when building just do
>
> ant test jar
>
> Cheers
>
> On 5/22/07, Graeme Rocher <[hidden email]> wrote:
> > Hmm there are some zip and tars in your dist directory, delete them
> > and leave just the jar files
> >
> > Cheers
> >
> > On 5/22/07, Hamish Cunningham <[hidden email]> wrote:
> > > hi
> > >
> > > I checked out the latest HEAD, did "ant", then went to my application
> > > (developed under 0.5) and did
> > >
> > > grails clean
> > > grails upgrade
> > > grails run-app
> > >
> > > I got:
> > >
> > > error: error reading
> > > /home/hamish/sins/grails/dist/grails-bin-0.5.5-SNAPSHOT.tar.gz; error in
> > > opening zip file
> > >
> > > full message below; tar can open the file ok; I'm running ubuntu dapper, java 1.5
> > >
> > > am I doing something wrong?
> > >
> > > thanks,
> > > --
> > > Hamish
> > > http://www.dcs.shef.ac.uk/~hamish/
> > >
> > >
> > >
> > > sylvia cow$ grails run-app
> > >
> > > Welcome to Grails 0.5.5-SNAPSHOT - http://grails.org/
> > > Licensed under Apache Standard License 2.0
> > > Grails home is set to: /home/hamish/sins/grails
> > >
> > > Base Directory: /home/hamish/ext/sins/cow
> > > Environment set to development
> > > Running script /home/hamish/sins/grails/scripts/RunApp.groovy
> > > Compiling sources ...
> > >      [javac] Compiling 1 source file to
> > > /home/hamish/ext/sins/cow/web-app/WEB-INF/classes
> > > error: error reading
> > > /home/hamish/sins/grails/dist/grails-bin-0.5.5-SNAPSHOT.tar.gz; error in
> > > opening zip file
> > >
> > >
> > > ---------------------------------------------------------------------
> > > To unsubscribe from this list please visit:
> > >
> > >     http://xircles.codehaus.org/manage_email
> > >
> > >
> >
> >
> > --
> > Graeme Rocher
> > Grails Project Lead
> > http://grails.org
> >
>
>
> --
> Graeme Rocher
> Grails Project Lead
> http://grails.org
>
> ---------------------------------------------------------------------
> To unsubscribe from this list please visit:
>
>     http://xircles.codehaus.org/manage_email
>
>


---------------------------------------------------------------------
To unsubscribe from this list please visit:

    http://xircles.codehaus.org/manage_email